Welcome to the Community!


If you are looking for something specific, please use the search bar to check if someone else has asked or answered the same question before posting a new question. Check out our Community Instructions for other FAQ's.

Will Security Suite work with macOS 10.15 Catilina

kgolfkgolf Posts: 2 ✭✭
edited March 7 in Home Networking Mar 06, 2021

Will Security Suite work with macOS 10.15 Catilina. It is not listed with the supported platforms.

Best Answer

  • Randy_TRandy_T Posts: 32 MOD
    Mar 07, 2021 Accepted Answer

    Good morning Kgolf! I double-checked this page: https://www.spectrum.net/support/internet/security-suite-mac-installation/ and it says...

    "Before installing Security Suite, make sure that your Mac meets the minimum system requirements:

    Operating System

    macOS version 10.14 "Mojave"

    macOS version 10.13 "High Sierra"

    macOS version 10.12 "Sierra""

    So since the 10.14 is listed as a "minimum" then I would assume it would work with 10.15. If you notice any wonkiness, just let us know but I am sure you are fine.

    Randy

Replies

  • kgolfkgolf Posts: 2 ✭✭
    Mar 07, 2021

    Thank You Randy

  • Randy_TRandy_T Posts: 32 MOD
    Mar 07, 2021

    Any time @kgolf ... we are here to help and let me know how it goes!

This discussion has been closed.